
"""
This file contains constants that are used in the output JSON as keys.
"""

RMSD = "rmsd"
AVERAGE = "avg"
BASES = "bases"
BASES_LT15X = "bases_lt_15x"
BASES_GTE15X = "bases_gte_15x"
BASES_GTE30X = "bases_gte_30x"
BASES_GTE50X = "bases_gte_50x"
LT15X = "lt15x"
GTE15X = "gte15x"
GTE30X = "gte30x"
GTE50X = "gte50x"
MEDIAN = "med"
PERCENTILE25 = "pct25"
PERCENTILE75 = "pct75"
SD = "sd"
CHROMOSOME = "chr"
CHROMOSOMES = "chrs"
AUTOSOMES = "autosomes"
STATISTICS = "stats"
GC_CONTENT = "gc"
GAPS = "gaps"
GAP_START = "s"
GAP_END = "e"
GAP_LENGTH = "l"
GENE_NAME = "name"
TRANSCRIPTS = "trs"
TRANSCRIPT_ID = "id"
EXONS = "exons"
EXON = "exon"
EXON_START = "s"
EXON_END = "e"
EXON_LENGTH = "l"
EXON_PADDED_START = "padded_s"
EXON_PADDED_END = "padded_e"
UNION_TRANSCRIPT = "union_tr"
GENES = "genes"


AUTOSOME_IDS = {
    "1", "2", "3", "4", "5", "6", "7", "8", "9", "10", "11", "12", "13", "14", "15", "16", "17", "18", "19", "20",
    "21", "22", "chr1", "chr2", "chr3", "chr4", "chr5", "chr6", "chr7", "chr8", "chr9", "chr10", "chr11", "chr12",
    "chr13", "chr14", "chr15", "chr16", "chr17", "chr18", "chr19", "chr20", "chr21", "chr22"
}
